Bug 875353 - Review Request: mfiler4 - 2 pane file manager with a embedded shell
Summary: Review Request: mfiler4 - 2 pane file manager with a embedded shell
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 875352
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-10 18:59 UTC by Mamoru TASAKA
Modified: 2013-01-08 13:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-08 13:51:54 UTC
kwizart: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2012-11-10 18:59:22 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/mfiler4-related/mfiler4.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/mfiler4-related/mfiler4-1.0.3-1.fc.src.rpm
Description: mfiler4 is a 2pain file manager with a embedded shell.
Fedora Account System Username: mtasaka

Comment 1 Mamoru TASAKA 2012-11-10 19:00:15 UTC
This bug depends on xyzsh review request (bug 875352)

Comment 2 Mamoru TASAKA 2012-11-10 19:02:30 UTC
mock build result on local disk:
http://mtasaka.fedorapeople.org/Review_request/mfiler4-related/BUILD-mfiler4.log

Comment 5 Nicolas Chauvet (kwizart) 2013-01-04 13:19:14 UTC
I should be able to review this soon.

Comment 6 Nicolas Chauvet (kwizart) 2013-01-05 16:03:21 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated



===== MUST items =====

C/C++:
[-]: Header files in -devel subpackage, if present.
[-]: ldconfig called in %post and %postun if required.
[-]: Package does not contain any libtool archives (.la)
[-]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[-]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[?]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[-]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 92160 bytes in 7 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[-]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

rpmlint is not clean
Checking: mfiler4-debuginfo-1.0.6-1.fc19.x86_64.rpm
          mfiler4-1.0.6-1.fc19.src.rpm
          mfiler4-1.0.6-1.fc19.x86_64.rpm
mfiler4.src: W: strange-permission mfiler4-1.0.6.tgz 0600L
mfiler4.x86_64: E: zero-length /usr/share/doc/mfiler4-1.0.6/TODO
mfiler4.x86_64: W: manual-page-warning /usr/share/man/man1/mfiler4.1.gz 7: warning: macro `Nm' not defined
mfiler4.x86_64: W: manual-page-warning /usr/share/man/man1/mfiler4.1.gz 14: warning: macro `Pp' not defined
3 packages and 0 specfiles checked; 1 errors, 3 warnings.

Thoses should be fixed.
That been said, I don't seen any reason to hold the review.

--------------------------------

This package mfiler4 is APPROVED by me

-------------------------------

Comment 7 Mamoru TASAKA 2013-01-05 16:55:22 UTC
Thank you for review! I will take care of rpmlint issue you pointed out when importing this package into git.

New Package SCM Request
=======================
Package Name: mfiler4
Short Description: 2 pane file manager with a embedded shell
Owners: mtasaka
Branches: f17 f18
InitialCC:

Comment 8 Gwyn Ciesla 2013-01-07 13:25:56 UTC
Git done (by process-git-requests).

Comment 9 Mamoru TASAKA 2013-01-08 13:51:54 UTC
Built on F-19/18/17, push requested on F-18/17.
Thank you for review and git procedure, closing.


Note You need to log in before you can comment on or make changes to this bug.